# FTL Save File Manager

## Description
It is a program enabling saving and loading*1 in FTL (Faster Then Light) game.
Backup works after a jump, restore only works while in game are in the main menu.

It is considered as a project to learn and be more confident with Python as well as Git.

*1 ATM only the current game state, does not include the profile file (ae_prof.sav) which has information about total archiements and unlockes.

## Status
As of version 0.4.2 has the program now replicates the functionality of the original Visual Basic I once wrote in high school but rewritten in Python with a terminal-based UI:
    - Features include: Backup, Restore, and Update.

# How it works
It uses TerminalMenu to show a simple gui in the terminal, you select the save game folder and location to backup saves.
Only work on linux and dependencies are requests and simple_terminal_menu

# FTL Save File Manager
## Description
FTL Save File Manager is a utility designed to manage save files for the game FTL: Faster Than Light.

- Backup: Automatically saves your progress after a jump.
- Restore: Allows you to restore save files, but only while in the game's main menu.
This project also serves as a learning experience to enhance Python programming skills and gain confidence with Git.

**Note: Currently, only the active game state is managed. The profile file (ae_prof.sav), which contains achievements and unlocks, is not included in backups.**

# Status
As of version 0.4.2, the program fully replicates the functionality of the original Visual Basic program I developed in high school. It has been rewritten in Python and now features a terminal-based UI:

***Features:***
- Backup
- Restore
- Update

# How It Works
FTL Save File Manager uses simple-term-menu to provide a straightforward terminal-based interface.

## Steps:
1. Select the save game folder.
2. Choose a backup location.
3. Manage your save files easily through the menu.

## Requirements
Operating System: Linux

Dependencies:
- requests
- simple-term-menu

Can be installed with pip or using miniconda (aka conda/mamba)

# Additional Note
This project was developed with the assistance of LLMs (including, but not limited to, OpenAI's ChatGPT, Ollama models like OpenCoder and LLaMA 3.2).
The assistance provided includes, but is not limited to, spelling corrections, function suggestions, and discussions of debugging, which are not explicitly labeled. Direct optimizations of the code are noted within the code itself.
